Skip to content
Skip to main content
POST
/v3/admin/domains

Create domainBeta

⚠️ Before you can use the Manage Domains endpoints, you need a Nylas Service Account.

Registers a new email domain for your organization. After creating a domain, you must verify its DNS records before you can use it with Transactional Send or Nylas Inbound.

NYLAS API KEYACCESS TOKEN

Parameters

Header parameters

X-Nylas-Signature*string

A Base64-encoded signature using your private key's RSA with a 2048-bit key and an SHA-256 hashed string of the path, method, timestamp, nonce, and payload.

X-Nylas-Kid*string

The private_key_id from your Service Account JSON file.

X-Nylas-Nonce*string

A randomly generated nonce. Each request needs to have a unique nonce. If you try to reuse a nonce, Nylas rejects the request.

X-Nylas-Timestamp*number

The time when you submit your request, in seconds using the Unix timestamp format. This timestamp should fall within a 5-minute window of your real request time.

Request body

name*string

A human-readable label for the domain.

Example: "My transactional domain"
domain_address*string

The domain address to register (for example, mail.example.com).

Example: "mail.example.com"

Responses

request_idstring

ID of the request.

Example: "5fa64c92-e840-4357-86b9-2aa364d35b88"
dataobject
POSThttps://api.us.nylas.com/v3/admin/domains

Find your API key in the Nylas Dashboard under API Keys in your application settings.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.